# PetscGetArguments

Allows you to access the command line arguments anywhere after PetscInitialize() is called but before PetscFinalize().

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscGetArguments(char ***args)

Not Collective

### Output Parameters

args -the command line arguments

### Notes

This does NOT start with the program name and IS null terminated (final arg is void)

### See Also

PetscFinalize(), PetscInitializeFortran(), PetscGetArgs(), PetscFreeArguments()

Level:intermediate
Location: src/sys/objects/pinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages